package com.tax.file.job;

import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.simple.SimpleJob;
import com.tax.file.service.async.income.IncomeApplyTask;
import com.tax.file.service.async.income.IncomeDownTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class IncomeDownJob implements SimpleJob {
    private static final Logger logger = LoggerFactory.getLogger(IncomeDownJob.class);

    @Autowired
    private IncomeDownTask incomeDownTask;

    @Override
    public void execute(ShardingContext shardingContext) {
        logger.info("IncomeDownJob is start");
        incomeDownTask.down();
        logger.info("IncomeDownJob is end");
    }
}
